1. AI Agent
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • SDKs
    • @klink.cloud/call-sdk
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
      • Filter By Phone Number
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
      • Get the live transcript
    • Message
      • Send message
      • Create comments
      • Get Comments
      • List WhatsApp templates
    • Media Manager
      • Upload File (multipart)
      • Get Folders
      • Get Folder By ID
      • Create Folder
      • Update Folder
      • Delete Folder
      • Get Files
      • Get File By ID
      • Create File
      • Update File
      • Delete File
    • Agent Activity
      • Get Agents Activities
    • Telephony
      • Get Telephony CDR
    • User
      • Create
      • Listing
      • Detail
      • Update
      • Delete
    • Automation Queue
      • Create
      • Listing
      • Detail
      • Update
      • Delete
      • Add Member
      • Remove Member
    • Role
      • Listing
    • Webchat Identity Verification
      • Get identity verification settings
      • Update identity verification settings
      • Create or rotate the identity secret
    • AI Agent
      • List Models
        GET
      • Listing
        GET
      • Detail
        GET
      • Create
        POST
      • Update
        PATCH
      • Delete
        DELETE
      • Get Flow
        GET
      • List Versions
        GET
      • Update Flow
        PUT
      • Publish
        POST
    • Schemas
      • RequestId
      • CxLogTranscriptResponse
      • IdentityVerificationStatus
      • CxLogTranscript
      • IdentityVerificationUpdate
      • Error
      • IdentityVerificationSettings
      • ValidationError
      • IdentitySecret
      • userToken (JWT claims)
Blog
Github
  1. AI Agent

List Versions

GET
/api/v1/ai-agents/{id}/flow/versions
Lists every published version of the agent's flow. isLive marks the one customers currently get.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠404Not Found
🟠429Too Many Requests
🔴502Bad Gateway
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://apigw.klinkcx.com/api/v1/ai-agents/6ad97ee52845b4f2c8daca55/flow/versions' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "requestId": "string",
    "data": [
        {
            "id": "string",
            "version": "string",
            "model": "string",
            "publishedAt": "string",
            "isLive": true
        }
    ]
}
Modified at 2026-10-23 02:08:30
Previous
Get Flow
Next
Update Flow
Built with